import crossroads = require('crossroads');

class Route {
    private route: CrossroadsJs.CrossRoadsStatic = null;

    public constructor() {
        this.route = crossroads.create();
        this.route.ignoreState = true;//make sure routes can be matched multiple times
    }

    public addRoute(route: string, func: Function) {
        this.route.addRoute(route, func);
    }

    public parse(route: string, data?: any) {
        this.route.parse(route, data);
    }
}

export = Route;