import iWeatherInterfaces = require('./iWeatherInterfaces');

class Forecast16Weather {
    private weather: iWeatherInterfaces.iForecast16Weather;

    public constructor(weather: iWeatherInterfaces.iForecast16Weather) {
        this.weather = weather;
    }

    get numbOfResult(): number {
        return this.weather.cnt;
    }

    get cityId(): number {
        return this.weather.city.id;
    }

    get cityName(): string {
        return this.weather.city.name;
    }

    public getWeatherInfo(i: number = 0) {
        if (i < 0 || i > this.numbOfResult)
            return null;
        return this.weather.list[i];
    }
}

export = Forecast16Weather;