import iWeatherInterfaces = require('./iWeatherInterfaces');

class HistoryWeather {
    private weather: iWeatherInterfaces.iHistoryWeather;

    public constructor(weather: iWeatherInterfaces.iHistoryWeather) {
        this.weather = weather;
    }

    get cityId(): number {
        return this.weather.id;
    }

    get cityName(): string {
        return this.weather.name;
    }

}