import mongoose = require('mongoose');

const UserSchema: mongoose.Schema = new mongoose.Schema({
    _id: String,
    tiles: [{ type: String, ref: 'Tile' }]
});

UserSchema.method("addTile",function(tile,cb){
    this.tiles.addToSet(tile);
	this.save(cb);
});

export = mongoose.model('User', UserSchema);