import Config = require('./Config');

class TileConnection {
    private static connected = false;

    public static setConnection(connected: boolean) {
        this.connected = connected;
        this.updateConnectionStatus();
    }

    private static updateConnectionStatus() {
        var domColor = document.getElementById(Config.CONNECTION_STATUS_DOM);
        var domText = document.getElementById(Config.CONNECTION_STATUS_TEXT_DOM);

        if (this.connected) {
            domColor.className = "connected";
            domText.innerText = "Connected";
        }
        else {
            domColor.className = "disconnected";
            domText.innerText = "Disconnected";
        }
    }
}

export = TileConnection;