//This is the main file that will initialize the whole project :)
declare var JST: any;

Spa.App.namespace = JST;
Spa.App.container = "content";
var app = new Spa.App();

import TextualRoute = require('./modules/Textual/TextualRoute');
import VisualRoute = require('./modules/Visual/VisualRoute');
import TileRoute = require('./modules/Tiles/TileRoute');
import Initializer=require('./modules/Tiles/Initializer');

//Initializes all routes
new TextualRoute("textual").initRoutes();
new VisualRoute("visual").initRoutes();
new TileRoute("tiles").initRoutes();

//when dom is loaded 
window.onload = function() {
    app.init();
    
    /** change the current active sidebar element on click */
    $('#sidebar .sidebar').on('click', 'li', function() {
        if (!$(this).hasClass('active')) {
            $('.sidebar li').removeClass('active');
            $(this).addClass('active');
        }
    });
    
    Initializer.init();//initializes tile data
}