import MqttClient = require('../../MqttClient');
import Tile = require('../../User/Tile');
import VibrateCommand = require('../VibrateCommand');

class VibrateController {
    private mqtt: MqttClient = null;

    public constructor(mqtt: MqttClient) {
        this.mqtt = mqtt;
    }

    public long(tile: Tile) {
        this.mqtt.sendCommand(tile, VibrateCommand.long);
    }

    public burst(tile: Tile) {
        this.mqtt.sendCommand(tile, VibrateCommand.burst);
    }
}

export = VibrateController;