export const CONNECTION_STATUS_DOM = "tile_connection_status";//dom id of connection status icon
export const CONNECTION_STATUS_TEXT_DOM = "tile_connection_status_text";//dom id of connection status icon

export const TILE_NAME_DOM="tileName";

export const EVENTS_DOM = "tile_events";//dom which holds tile events
export const TILE_DOM = "tile";//dom id holding tile emulator

export const DEBUG_DOM = "debug";
export const DEBUG_TEXT_DOM = "debug_text";
export const DEBUG_BTN_DOM = "debug_btn";

// OUTPUTS
export const LED = "tile_led";
export const VOLUME = "tile_speaker";
export const VIBRATE = "tile_vibrate";

export const enum TILE_OUTPUTS { LED, VOLUME, VIBRATE };

//INPUTS
export const TAP = "tile_event_tap";
export const TILT = "tile_event_tilt";
export const ROTATE = "tile_event_rotate";
export const SHAKE = "tile_event_shake";
export const VERTICALSHIFT = "tile_event_vs";
export const PROXIMITY = "tile_event_proximity";

export const enum TILE_INPUTS { TAP, TILT, ROTATE, SHAKE, VERTICALSHIFT, PROXIMITY };


//SERVER
export const SERVER = "ws://localhost:8080";

export type Animation = "bounce" | "flash" | "pulse" | "rubberBand" | "shake" | "headShake" | "swing" | "tada" | "wobble" | "jello" | "bounceIn" | "bounceInDown" | "bounceInLeft" | "bounceInRight" | "bounceInUp" | "bounceOut" | "bounceOutDown" | "bounceOutLeft" | "bounceOutRight" | "bounceOutUp" | "fadeIn" | "fadeInDown" | "fadeInDownBig" | "fadeInLeft" | "fadeInLeftBig" | "fadeInRight" | "fadeInRightBig" | "fadeInUp" | "fadeInUpBig" | "fadeOut" | "fadeOutDown" | "fadeOutDownBig" | "fadeOutLeft" | "fadeOutLeftBig" | "fadeOutRight" | "fadeOutRightBig" | "fadeOutUp" | "fadeOutUpBig" | "flipInX" | "flipInY" | "flipOutX" | "flipOutY" | "lightSpeedIn" | "lightSpeedOut" | "rotateIn" | "rotateInDownLeft" | "rotateInDownRight" | "rotateInUpLeft" | "rotateInUpRight" | "rotateOut" | "rotateOutDownLeft" | "rotateOutDownRight" | "rotateOutUpLeft" | "rotateOutUpRight" | "hinge" | "rollIn" | "rollOut" | "zoomIn" | "zoomInDown" | "zoomInLeft" | "zoomInRight" | "zoomInUp" | "zoomOut" | "zoomOutDown" | "zoomOutLeft" | "zoomOutRight" | "zoomOutUp" | "slideInDown" | "slideInLeft" | "slideInRight" | "slideInUp" | "slideOutDown" | "slideOutLeft" | "slideOutRight" | "slideOutUp";
