//On listener
Blockly.Blocks['tile_on_device'] = {
  init: function() {
    this.appendValueInput("id")
        .setCheck("tile_device_id")
        .setAlign(Blockly.ALIGN_RIGHT)
        .appendField("When");
    this.appendValueInput("action")
        .setCheck("tile_action")
        .setAlign(Blockly.ALIGN_RIGHT)
        .appendField("on");
    this.appendStatementInput("NAME")
        .setCheck(null);
    this.setInputsInline(true);
    this.setColour(20);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};

//DEVICE
Blockly.Blocks['tile_device'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("Device")
        .appendField(new Blockly.FieldDropdown([["alpha", "123"]]), "devices");
    this.setOutput(true, "tile_device_id");
    this.setColour(40);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};

//ACTION
Blockly.Blocks['tile_action'] = {
  init: function() {
    this.appendDummyInput()
        .appendField("action")
        .appendField(new Blockly.FieldDropdown([["swipe", "swiper"], ["touch", "touch"], ["press", "press"]]), "action");
    this.setOutput(true, "tile_action");
    this.setColour(0);
    this.setTooltip('');
    this.setHelpUrl('http://www.example.com/');
  }
};